'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _MONGODB_NAV = require('MONGODB_NAV');

var _MONGODB_NAV2 = _interopRequireDefault(_MONGODB_NAV);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

if (/^loaded|^i|^c/.test(document.readyState)) {
  resolve(_MONGODB_NAV2.default);
} else {
  document.addEventListener('DOMContentLoaded', onload);
  window.addEventListener('load', onload);
}

function onload() {
  document.removeEventListener('DOMContentLoaded', onload);
  window.removeEventListener('load', onload);
  resolve(_MONGODB_NAV2.default);
}

function resolve(Component) {
  const data = document.getElementById('mongodb-nav-data');
  const props = data && JSON.parse(data.getAttribute('data-props'));

  (0, _reactDom.render)(_react2.default.createElement(Component, props), document.querySelector(data.getAttribute('data-container')), () => window.reactNavOnLoad ? window.reactNavOnLoad() : null);
}